> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crypto-cash.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance

> Returns merchant balance in USDT



## OpenAPI

````yaml /APIs/crypto-cash-openapi-en.json post /merchant/api/v1/balance/retrieve/
openapi: 3.1.0
info:
  title: CryptoCash Merchant API
  description: >-
    API for working with cryptocurrency payments. All requests require signature
    authentication. Request body contains: data (JSON object in base64) and
    signature (SHA256(SECRET_KEY + data) in base64).
  version: 1.0.0
servers:
  - url: https://api.crypto-cash.world
    description: Production server
security: []
tags:
  - name: Balance
    description: Balance operations
  - name: Actions
    description: 'Actions: buy, sell, refund'
  - name: Transactions
    description: Transaction management
  - name: Reference
    description: Reference information
externalDocs:
  description: External currency rates
  url: https://rates.crypto-cash.world/api/v1/market/rates/export/json
paths:
  /merchant/api/v1/balance/retrieve/:
    post:
      tags:
        - Balance
      summary: Get Balance
      description: Returns merchant balance in USDT
      operationId: getBalance
      requestBody:
        required: true
        description: |-
          Data parameters:
          - **publicKey** (string, required) - Merchant public key
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignedRequest'
        x-data-schema:
          $ref: '#/components/schemas/BalanceRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  data:
                    type: object
                    properties:
                      item:
                        $ref: '#/components/schemas/Balance'
        '400':
          description: Request error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SignedRequest:
      type: object
      required:
        - data
        - signature
      properties:
        data:
          type: string
          description: JSON object with request parameters encoded in base64
        signature:
          type: string
          description: Signature SHA256(SECRET_KEY + data) encoded in base64
    Balance:
      type: object
      properties:
        accountAmount:
          type: string
          description: Account balance in USDT
          example: '15.000'
        companyAmount:
          type: string
          description: Company balance in USDT
          example: '20.000'
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: integer
          description: List of error codes
      example:
        errors:
          - 1000

````